{
  "openapi": "3.0.3",
  "info": {
    "title": "Jobport API",
    "version": "1",
    "x-logo": {
      "url": "/assets/logo.png",
      "altText": "Jobport logo"
    },
    "contact": {
      "name": "Jobport",
      "url": "https://jobport.nl"
    },
    "license": {
      "name": "unlicensed",
      "url": "https://jobport.nl"
    }
  },
  "servers": [
    {
      "url": "https://api.services.jobport.nl",
      "description": "Production"
    }
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "Introduction",
      "x-traitTag": true,
      "description": "The Jobport API provides a robust and flexible interface for managing your data in Jobport.\n\n## Standards\n\nThe Jobport API is mostly RESTful and adheres to the [JSON:API](https://jsonapi.org/) specification for consistency and interoperability.\n\nA variety of JSON:API libraries are available for most programming languages to help you interact with the API.\nThe [list of JSON API implementations](http://jsonapi.org/implementations/) is a good starting point.\n\n## Base URL\n\nUse this base URL for all requests unless instructed otherwise:\n\n```plain\nhttps://api.services.jobport.nl/public/v1/\n```\n\n## Headers\n\nSet the following HTTP headers with every request.\n\n| Header        | Content        |\n| ------------- | -------------- |\n| Authorization | Bearer {token} |\n\nFor more information on the Authorization header, see the [Authentication](#tag/Authentication) section.\n\nWhen POSTing or PATCHing data, also include the Content-Type header.\n\n| Parameter    | Content          |\n| ------------ | ---------------- |\n| Content-Type | application/json |\n\n**Example**\n\n```bash\n  curl -X POST \"https://api.services.jobport.nl/public/v1/...\" \\\n    -H \"Authorization: Bearer $TOKEN\" \\\n    -H \"Content-Type: application/json\"\n```\n\n## Paths\n\nYour application may be authorized to make changes for multiple organizations. Therefore most paths are prefixed with `/organizations/{organization_id}/`, e.g. `/organizations/{organization_id}/dossiers`. When retrieving resources this will only return the resources associated with a particular organization. When creating a resource it will associate the resource with the organization.\n\nThe same applies to other nested paths, such as `/organizations/{organization_id}/dossiers/{dossier_id}/user_contexts`.\n\n## Filtering\n\nEndpoints that list resources may support filtering using the `filter[]` query parameter. This parameter accepts a list of filter values, where each value typically consists of a filter name and a value separated by a colon. Flags use only the filter name. For example: `?filter[]=active&filter[]=name:paul`. Many filters may be included multiple times to filter on multiple values, e.g. `?filter[]=name:paul&filter[]=name:john`.\n\n## Sparse fieldsets\n\nSparse fieldsets allow you to specify which fields you want to include in the response. Use the `fields` query parameter to specify a comma-separated list of fields for each resource type. For example: `?fields[dossiers]=id,name,created_at`.\n\nNote that for [export endpoints](/#tag/Export-resources) this works slightly differently: the fields must be specified without the resource type prefix. For example: `?fields=id,name,created_at`. Exports never include other resource types other than the one being exported.\n\n## Sorting\n\nEndpoints that list resources may support sorting using the `sort` query parameter. This parameter accepts a comma-separated list of field names to sort by. Prefix a field name with a minus sign (`-`) to sort in descending order. For example: `?sort=name,-created_at`.\n\nAvailable sorting options vary by endpoint and are documented in each endpoint’s documentation.\n\n## Meta data\n\nWhen retrieving a list of resources, the response will include a top level `meta` object containing additional information about the response, such as pagination details (`page`, `page_size`).\n\nEndpoints that list resources support optional inclusion of the total count of resources in the `meta` object.\nUse the `_count` query parameter to do so. For example: `?_count=true`. The `meta` object will include a `total` field indicating the total number of resources available, regardless of any filters applied.\n\nNote that [export endpoints](/#tag/Export-resources) do not return a `meta` object, as they are designed to export all available data without pagination.\n\n## User contexts\n\nJobport allows a single user to have access to multiple contexts across different organizations. For example, a person can be a coach for organization 'A' and 'B', and also be a client coached by organization 'C'. This user would have three user contexts. If a user has multiple contexts, they can switch between them without logging out and back in.\n\n**Storing user contexts**\n\nA user context ID is permanent and reused even after deactivation and reactivation. If your app stores these IDs (e.g. for SSO), note that inactive contexts may return a 404 when accessed.\n\n## Bugs & suggestions\n\nIf you encounter issues with the API, or want to suggest improvements, please let us know at [https://www.jobport.nl/contact](https://www.jobport.nl/contact).\n"
    },
    {
      "name": "Authentication",
      "x-traitTag": true,
      "description": "Your application must send a self-generated short-lived JSON Web Token (JWT) with each request you send to the API. This token identifies your application with a digital signature.\n\n<!-- <!-- ReDoc-Inject: <security-definitions> -->\n\n## Creating a signed token\n\nTo create signed JWTs, you will receive from us:\n\n- A unique ID to identify your application (referred to as the *app_id*)\n- A shared secret to sign the JWTs (keep this confidential)\n\nTo request these credentials for your application, contact us at https://www.jobport.nl/contact. API access is available for selected customers only. Please provide the name of your application and describe the purpose of the integration you are building. We will then review your request. When eligible we will create an application for you with the appropriate permissions and provide you with the necessary credentials.\n\nA signed JWT has three parts: a header, a payload, and a signature. Do __not__ base64-encode the secret when generating the token. You can reuse a token until it expires or generate a new one for each request. The latter might be simpler to manage and could increase security by limiting the token's lifetime (see `exp` below).\n\nThe header __must__ contain:\n\nProperty    | Type       | Required   | Value\n----------- | ---------- |----------- | -----------\nalg         | string     | true       | \"HS256\"\ntyp         | string     | true       | \"JWT\"\n\nThe payload __must__ contain:\n\nClaim       | Type       | Required   | Description\n----------- | ---------- |----------- | -----------\napp_id      | string     | true       | This is the application id you received along with your shared secret\nexp         | integer    | true       | Expiration date in seconds since Unix Epoch, not more than 15 minutes in the future\n\nMost programming languages have libraries available to help you create signed JWTs. Basically, it takes three steps:\n\n1. `token = base64UrlEncode(header) + \".\" + base64UrlEncode(payload)`\n2. `signature = HMACSHA256(token, shared_secret)`\n3. `signed_token = token + \".\" + signature`\n\nYou can use [https://jwt.io](https://jwt.io) to check if your JWTs are valid and contain the correct data. Never enter your shared secret into third party tools. If you need to do that, please request another shared secret for production use once you have authentication set up.\n\n**Example**\n\n```ruby\n# Assume we want our example JWT to contain the following header and payload:\nheader = { \"alg\": \"HS256\", \"typ\": \"JWT\" }\npayload = { \"app_id\": \"673943a3-8df4-421d-ad5b-34e747cadd83\", \"exp\": 1505487093 }\n\n# We then encode and combine the parts:\ntoken = base64UrlEncode(header) + \".\" + base64UrlEncode(payload) # => eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhcHBfaWQiOiI2NzM5NDNhMy04ZGY0LTQyMWQtYWQ1Yi0zNGU3NDdjYWRkODMiLCJleHAiOjE1MDU0ODcwOTN9\n\n# Then calculate the signature:\nshared_secret = `your-256-bit-secret`\nsignature = HMACSHA256(token, shared_secret) # => SSqSQeVlLjqdrm5cPqTcXLwaq_w7UJmsWJZ8oDCPJ_g\n\n# Finally, append the signature to get your signed JWT:\nsigned_token = token + \".\" + signature # => eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhcHBfaWQiOiI2NzM5NDNhMy04ZGY0LTQyMWQtYWQ1Yi0zNGU3NDdjYWRkODMiLCJleHAiOjE1MDU0ODcwOTN9.SSqSQeVlLjqdrm5cPqTcXLwaq_w7UJmsWJZ8oDCPJ_g\n```\n\n## What if I cannot generate a JWT?\n\nIf you’re unable to generate a JWT dynamically, we can provide a static, long-lived token for authenticating your requests. However, we strongly recommend using short-lived JWTs for better security. To request a static token, [contact us](https://www.jobport.nl/contact). Keep static tokens confidential. They must be renewed annually.\n\n## Using the token to authenticate\n\nSet the `Authorization` header with the value `Bearer {signed_token}` in every request you make to the API.\n\n**Example**\n\n```shell\ncurl \"https://api.services.jobport.nl/...\" \\\n  -H \"Authorization: Bearer $SIGNED_TOKEN\"\n```\n\n## User tokens\n\nUse the [token exchange endpoint](#tag/User-Tokens/operation/create_user_token) when your application needs to perform actions on behalf of a user.\n\n## Single Sign-On (SSO)\n\nUse the [one-time SSO URL endpoint](#tag/One-time-SSO-URLs/operation/create_one_time_sso_url) to create a short-lived SSO URL that your user can use to log in to Jobport.\n"
    },
    {
      "name": "One-time SSO URLs",
      "description": "Jobport supports SSO with secure, one-time URLs for one specific user context. The URL can be used only once and expires within seconds after creation. Request the SSO URL just before the user needs to log in, then redirect them immediately.\n\nA user may belong to multiple organizations. After logging in with an SSO URL, the user will only have access to the organization for which the SSO URL was generated. This prevents unauthorized access to other organizations.\n"
    },
    {
      "name": "Conversations",
      "description": "Endpoints for retrieving conversations."
    },
    {
      "name": "Notifications",
      "description": "Endpoints for retrieving notifications."
    },
    {
      "name": "User Tokens",
      "description": "Endpoints for retrieving user tokens."
    },
    {
      "name": "User Contexts",
      "description": "Endopoints for retrieving user contexts."
    },
    {
      "name": "Dossiers",
      "description": "Endpoints for managing dossiers.\nDossiers hold information about a candidate. Once a dossier exists you can (optionally) invite the candidate to create a Jobport account."
    },
    {
      "name": "Employer Vacancies",
      "description": "Endpoints for managing employer vacancies."
    },
    {
      "name": "Contacts",
      "description": "Endpoints for managing contacts."
    },
    {
      "name": "Employers",
      "description": "Endpoints for retrieving employers."
    },
    {
      "name": "Saved Vacancies",
      "description": "Endpoints for retrieving saved vacancies."
    },
    {
      "name": "Custom Fields",
      "description": "Endpoints for managing custom fields."
    },
    {
      "name": "Exported formats",
      "x-traitTag": true,
      "description": "Endpoints in this section are designed to export data from Jobport. E.g., without pagination. These are commonly used for integration with business intelligence systems.\n\nData can be exported in either JSON:API format or CSV format.\n\nUse the `Accept` header to specify the desired format:\n- `application/json` for JSON:API\n- `text/csv` for CSV\n\nAlternatively, you can use an extension in the URL to specify the format: append `.json` or `.csv`.\n\n## CSV\n\nThe CSV format includes a column for the resource ID and for each other attribute and relationship that is also included in the JSON:API format. Refer to the JSON:API documentation for details on the included attributes and relationships.\n\nThe CSV contains a header row with the attribute names, where nested attributes are expanded into separate columns using dot notation (e.g., `access.granted_at`, `access.revoked_at`). If your BI system has trouble interpreting dot notation, you can use the `underscorize_headers` query parameter to change the naming convention:\n\n```bash\ncurl \"https://api.services.jobport.nl/public/v1/organizations/{organization_id}/exports/dossiers?underscorize_headers=1\" \\\n  -H \"Accept: text/csv\"\n```\n\nNow dots will be replaced with double underscores (e.g., `access__granted_at`, `access__revoked_at`).\n\nRelationships have columns named after the relationship, such as `profile`, `employers`, etc. Related resources are refered to by their type and id using colon-separated identifiers, e.g., `profiles:f5e3509e-7e3e-4ecf-a8cf-06e2b0f7830d`. In case of one-to-many relationships, the identifiers are joined into a single column and separated by commas, e.g., `employers:af4ca214-86af-4cc9-9259-b7bc6b545bed7,employers:266c496c-3f86-418b-8ebf-d123316300f5`.\n\n**Example CSV (contacts)**\n\n```csv\nid,access.granted_at,access.last_activity_at,access.revoked_at,access.status,archived_at,created_at,email,name,phone_number,employer\n8fd21a5b-0fc0-43dc-8ab2-4e668c7d1d11,2023-10-01T12:00:00Z,2023-10-01T12:00:00Z,,active,,2023-10-01T11:59:59Z,johndoe@example.org,John Doe,+31612345678,employers:656f088a-aadc-44e1-99b0-00b6f07a3ed4\n```\n\nAlso see the [CSV columns overview](/csv-overview.html) for a complete overview of exported columns per resource type.\n"
    },
    {
      "name": "Export resources",
      "description": "Endpoints for exporting resources."
    },
    {
      "name": "Export taxonomy",
      "description": "Endpoints for exporting taxonomy data."
    },
    {
      "name": "Changelog",
      "x-traitTag": true,
      "description": "## Export endpoints\n\n**November 5, 2025**\nEndpoint | Change | Description\n--- | --- | ---\n[EmployerVacancies](/#tag/Export-resources/operation/export_employer_vacancies) | Attribute(s) added | Attributes `work_types`, `work_styles`, `accessible_by_public_transport`, `driving_licenses`, `work_environments`, `transport_modes`, `work_schedules`, `number_of_seats`, `foreign_languages`, and `language_nl` (with nested `reading`, `writing`, `speaking`, `understanding`) have been added.\n\n**August 18, 2025**\nEndpoint | Change | Description\n--- | --- | ---\n[EmployerVacancies](/#tag/Export-resources/operation/export_employer_vacancies) | Relationship attribute(s) added | Relationship `account_manager` is added.\n\n**July 15, 2025**\nEndpoint | Change | Description\n--- | --- | ---\n[Employers](/#tag/Export-resources/operation/export_employers) | Attribute(s) added | Attributes `branch_total_employees`, `total_employees`, `legal_form` and `sbi_codes` have been added.\n\n**June 23, 2025**\n\nEndpoint | Change | Description\n--- | --- | ---\nExport endpoints | Attribute(s) added | Added columns that include the type and id for each related resource. E.g. for a (polymorphic) relationship with a subject there now is a `subject` column with a value like `employers:af4ca214-86af-4cc9-9259-b7bc6b545bed7`. See CSV documentation on relationships.\nExport endpoints | Attribute(s) removed | All id-only columns for related resources have been deprecated* in favor of new columns that include resource types. E.g. a relationship with a subject, was listed in the CSV as a `subject.id` field. From now on you should use the `subject` field instead.\n[Notes](/#tag/Export-resources/operation/export_notes) | Attribute(s) removed | Attributes `author.type` and `subject.type` have been deprecated* in favor of `author` and `subject`.\n\n**March 14, 2025**\n\nEndpoint | Change | Description\n--- | --- | ---\n[Placements](/#tag/Export-resources/operation/export_placements) | Endpoint added | Added export placements endpoint.\n\n**March 9, 2025**\n\nEndpoint | Change | Description\n--- | --- | ---\n[Dossiers](/#tag/Export-resources/operation/export_dossiers) |  Attribute(s) added | Attribute `delete_scheduled_at` has been added to indicate when an archived dossier will be automatically deleted.\n\n**March 3, 2025**\n\nEndpoint | Change | Description\n--- | --- | ---\n[Employers](/#tag/Export-resources/operation/export_employers) |  Attribute(s) added | Attributes `primary_account_manager` and `account_managers` have been added.\n[Employers](/#tag/Export-resources/operation/export_employers) |  Attribute(s) removed | Attribute `account_manager` has been deprecated* in favor of `primary_account_manager` and `account_managers`.\n\n**March 1, 2025**\n\n| Change | Description |\n--- | ---\n| Changelog added | Added this changelog to the documentation. |\n\n---\n\n\\* In most cases, deprecated attributes will remain available in exports for at least six months.\n"
    }
  ],
  "paths": {
    "/public/v1/organizations/{organization_id}/tokens": {
      "post": {
        "operationId": "create_user_token",
        "summary": "Create User Token",
        "description": "With this endpoint an OpenID id_token or access_token can be exchanged for a JWT token that authenticates as a user. It can be used to perform impersonated requests.\n\nThis is only allowed for identity providers that have been specifically whitelisted for your organization.\n\nThis endpoint follows the [standard OAuth2 token exchange specification](https://www.rfc-editor.org/rfc/rfc8693.html#name-token-exchange-request-and-).\n",
        "tags": [
          "User Tokens"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          }
        ],
        "requestBody": {
          "$ref": "#/components/requestBodies/body"
        },
        "responses": {
          "200": {
            "$ref": "#/components/responses/ok"
          },
          "400": {
            "$ref": "#/components/responses/bad_request"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "404": {
            "$ref": "#/components/responses/not_found"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/organizations/{organization_id}/user_contexts/{user_context_id}/sso/one_time_url": {
      "post": {
        "operationId": "create_one_time_sso_url",
        "summary": "Create One-time SSO URL",
        "description": "Create a short-lived one-time SSO URL for a user context.\n",
        "tags": [
          "One-time SSO URLs"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/user_context_id"
          },
          {
            "$ref": "#/components/parameters/organization_id"
          }
        ],
        "responses": {
          "201": {
            "$ref": "#/components/responses/created"
          },
          "400": {
            "$ref": "#/components/responses/bad_request-2"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "404": {
            "$ref": "#/components/responses/not_found-2"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/organizations/{organization_id}/user_contexts/{user_context_id}": {
      "get": {
        "operationId": "get_organization_user_context",
        "summary": "Get User Context",
        "description": "Returns a single user context for the specified organization.\n",
        "tags": [
          "User Contexts"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          },
          {
            "$ref": "#/components/parameters/user_context_id-2"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/ok-2"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "404": {
            "description": "User context not found"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/organizations/{organization_id}/dossiers": {
      "get": {
        "operationId": "list_organization_dossiers",
        "summary": "List Dossiers",
        "description": "Returns a list of dossiers for the specified organization.\n",
        "tags": [
          "Dossiers"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          },
          {
            "$ref": "#/components/parameters/filter"
          },
          {
            "$ref": "#/components/parameters/page"
          },
          {
            "$ref": "#/components/parameters/page_size"
          },
          {
            "$ref": "#/components/parameters/_count"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/ok-3"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      },
      "post": {
        "operationId": "create_organization_dossier",
        "summary": "Create Dossier",
        "description": "Creates a new dossier for the specified organization.\n",
        "tags": [
          "Dossiers"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/vnd.api+json": {
              "schema": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "dossiers"
                        ]
                      },
                      "attributes": {
                        "type": "object",
                        "properties": {
                          "administration_number": {
                            "type": "string",
                            "description": "Administrative identification number which can be used to retrieve the dossier of the candidate later on.",
                            "example": "123456789"
                          },
                          "archive_at": {
                            "type": "string",
                            "format": "date-time",
                            "nullable": true,
                            "description": "Date/time when the dossier should be archived. The candidate loses access to the dossier after this date.",
                            "example": "2025-06-30T12:00:00Z"
                          },
                          "email": {
                            "type": "string",
                            "format": "email",
                            "description": "Email address of the candidate.",
                            "example": "candidate@example.com"
                          },
                          "name": {
                            "type": "string",
                            "description": "Name of the candidate.",
                            "example": "John Doe"
                          },
                          "send_invitation_at": {
                            "type": "string",
                            "format": "date-time",
                            "nullable": true,
                            "description": "Date/time when an invitation email should be sent to the candidate.",
                            "example": "2025-06-15T09:00:00Z"
                          },
                          "postal_code": {
                            "type": "string",
                            "description": "Dutch postal code of the candidate's address.",
                            "example": "1234AB"
                          }
                        }
                      },
                      "relationships": {
                        "type": "object",
                        "properties": {
                          "track": {
                            "type": "object",
                            "properties": {
                              "data": {
                                "type": "object",
                                "description": "The track for a dossier. The track defines a.o. the intake and tests that a candidate will get.",
                                "properties": {
                                  "id": {
                                    "type": "string",
                                    "format": "uuid",
                                    "description": "The ID of the track.",
                                    "example": "66009647-d0ae-438a-af37-4cd9b64c64b0"
                                  },
                                  "type": {
                                    "type": "string",
                                    "example": "tracks"
                                  }
                                }
                              }
                            }
                          },
                          "coaches": {
                            "type": "object",
                            "description": "The memberships of the employees that coach the candidate associated with this dossier. Required unless the track defines a 'default coach'. Currently only 1 coach is supported.",
                            "properties": {
                              "data": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "id": {
                                      "type": "string",
                                      "format": "uuid",
                                      "description": "The ID of the membership.",
                                      "example": "8faf1298-bad5-40c6-96a0-d87fe65938bd"
                                    },
                                    "type": {
                                      "type": "string",
                                      "example": "memberships"
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    "required": [
                      "type",
                      "attributes"
                    ]
                  }
                }
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "type": "object",
                "additionalProperties": true,
                "description": "Form-encoded request body"
              }
            }
          }
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/created-2"
          },
          "400": {
            "description": "Invalid request body."
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "402": {
            "description": "Payment required - subscription limit reached."
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "404": {
            "$ref": "#/components/responses/not_found-2"
          },
          "422": {
            "$ref": "#/components/responses/unprocessable_content"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/organizations/{organization_id}/dossiers/{dossier_id}": {
      "get": {
        "operationId": "get_organization_dossier",
        "summary": "Get Dossier",
        "description": "Returns a single dossier for the specified organization by dossier ID.\n",
        "tags": [
          "Dossiers"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          },
          {
            "$ref": "#/components/parameters/dossier_id"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/ok-4"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "404": {
            "description": "Dossier not found"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/organizations/{organization_id}/dossiers/{dossier_id}/user_contexts": {
      "post": {
        "operationId": "create_organization_dossier_user_context",
        "summary": "Create User Context",
        "description": "Create a user context for a dossier with a custom identity provider login.\n\nTypically, when a candidate needs access to Jobport, they receive an invitation email to create an account (using the `send_invitation_at` attribute). If your organization uses a custom identity provider, you can create a user account for the candidate directly, bypassing the standard invitation process. This allows account creation without candidate interaction. Note: This also means the candidate will not see or agree to any terms and conditions, which are usually presented during signup. This endpoint creates a user (or assigns an existing user) to a dossier based on the provider identity identifier. After a successful request, the candidate can log in using the identity provider. This is only possible if no user has previously been created for the dossier. Changing provider identity details after creation is not supported.\n",
        "tags": [
          "Dossiers"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          },
          {
            "$ref": "#/components/parameters/dossier_id"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/vnd.api+json": {
              "schema": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "user_contexts"
                        ]
                      },
                      "attributes": {
                        "type": "object",
                        "properties": {
                          "provider_id": {
                            "type": "string",
                            "description": "The id of your custom identity provider (as provided by Jobport)",
                            "example": "custom_provider"
                          },
                          "provider_identity_identifier": {
                            "type": "string",
                            "description": "The identifier of the identity from the provider. E.g., an email address or social security number.",
                            "example": "123456789"
                          }
                        },
                        "required": [
                          "provider_id",
                          "provider_identity_identifier"
                        ]
                      }
                    },
                    "required": [
                      "type",
                      "attributes"
                    ]
                  }
                }
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "type": "object",
                "additionalProperties": true
              }
            }
          }
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/created-3"
          },
          "400": {
            "description": "Invalid request body"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "404": {
            "$ref": "#/components/responses/not_found-2"
          },
          "422": {
            "$ref": "#/components/responses/unprocessable_content"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/organizations/{organization_id}/employer_vacancies": {
      "get": {
        "operationId": "list_organization_employer_vacancies",
        "summary": "List Employer Vacancies",
        "description": "Returns a list of employer vacancies for the specified organization.\n",
        "tags": [
          "Employer Vacancies"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          },
          {
            "$ref": "#/components/parameters/page"
          },
          {
            "$ref": "#/components/parameters/page_size"
          },
          {
            "$ref": "#/components/parameters/_count"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/ok-5"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "404": {
            "description": "Organization not found"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      },
      "post": {
        "operationId": "create_organization_employer_vacancy",
        "summary": "Create Employer Vacancy",
        "description": "Create an employer vacancy for the specified organization.\n",
        "tags": [
          "Employer Vacancies"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/vnd.api+json": {
              "schema": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "$ref": "#/components/schemas/type"
                      },
                      "attributes": {
                        "$ref": "#/components/schemas/attributes"
                      },
                      "relationships:": {
                        "$ref": "#/components/schemas/relationships"
                      }
                    }
                  }
                }
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "type": "object",
                "additionalProperties": true,
                "description": "Form-encoded request body"
              }
            }
          }
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/ok-6"
          },
          "400": {
            "description": "Invalid request body."
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "404": {
            "description": "Organization not found"
          },
          "422": {
            "$ref": "#/components/responses/unprocessable_content"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/organizations/{organization_id}/employer_vacancies/{employer_vacancy_id}": {
      "get": {
        "operationId": "get_organization_employer_vacancy",
        "summary": "Get Employer Vacancy",
        "description": "Returns a single employer vacancy for the specified organization by employer vacancy ID.\n",
        "tags": [
          "Employer Vacancies"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          },
          {
            "$ref": "#/components/parameters/employer_vacancy_id"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/ok-6"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "404": {
            "description": "Employer vacancy not found"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      },
      "patch": {
        "operationId": "update_organization_employer_vacancy",
        "summary": "Update Employer Vacancy",
        "description": "Update a single employer vacancy for the specified organization by employer vacancy ID.\n",
        "tags": [
          "Employer Vacancies"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          },
          {
            "$ref": "#/components/parameters/employer_vacancy_id"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/vnd.api+json": {
              "schema": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "$ref": "#/components/schemas/type"
                      },
                      "attributes": {
                        "type": "object",
                        "description": "Employer vacancy attributes.",
                        "properties": {
                          "contact_through": {
                            "nullable": true,
                            "type": "string",
                            "enum": [
                              "account_manager",
                              "employer",
                              null
                            ],
                            "description": "Who to get in touch with regarding this vacancy.",
                            "example": "account_manager"
                          },
                          "title": {
                            "type": "string",
                            "description": "The title of the vacancy.",
                            "example": "Klantgerichte medewerker gezocht voor de klantenservice"
                          },
                          "postal_code": {
                            "type": "string",
                            "nullable": true,
                            "description": "The postal code where the vacancy is located. Must be a valid Dutch postal code. Letters may be omitted.",
                            "pattern": "^[1-9]\\d{3}(\\s?[a-zA-Z]{2})?$",
                            "example": "5611 AZ"
                          },
                          "city": {
                            "type": "string",
                            "description": "The city where the vacancy is located.",
                            "example": "Amsterdam"
                          },
                          "education_level": {
                            "type": "string",
                            "nullable": true,
                            "description": "Education level for the vacancy.",
                            "enum": [
                              "basic_education",
                              "vmbo",
                              "havo_vwo",
                              "mbo_1",
                              "mbo_2",
                              "mbo_3",
                              "mbo_4",
                              "hbo",
                              "wo_master",
                              null
                            ]
                          },
                          "hours_per_week_max": {
                            "type": "integer",
                            "nullable": true,
                            "description": "Maximum number of hours per week for the vacancy.",
                            "maximum": 40,
                            "example": 40
                          },
                          "hours_per_week_min": {
                            "type": "integer",
                            "nullable": true,
                            "description": "Minimum number of hours per week for the vacancy. Not greater than hours_per_week_max.",
                            "minimum": 0,
                            "example": 32
                          },
                          "starts_at": {
                            "type": "string",
                            "format": "date",
                            "description": "When the vacancy has been opened.",
                            "example": "2025-01-01"
                          },
                          "ends_at": {
                            "type": "string",
                            "format": "date",
                            "description": "When the vacancy closes.",
                            "example": "2025-06-30"
                          },
                          "description": {
                            "type": "string",
                            "description": "A detailed description of the vacancy. Markdown is supported. HTML input is sanitized (unsupported tags removed) and converted to Markdown.",
                            "example": "We zoeken een enthousiaste _medewerker klantenservice_ die ons team komt versterken."
                          },
                          "external_url": {
                            "type": "string",
                            "format": "uri",
                            "nullable": true,
                            "description": "External URL where candidates can view and apply for the vacancy.",
                            "example": "https://example.com/vacatures/software-engineer"
                          },
                          "published": {
                            "type": "boolean",
                            "description": "Indicates whether the vacancy is currently published.",
                            "example": true
                          },
                          "work_types": {
                            "type": "array",
                            "items": {
                              "type": "string",
                              "enum": [
                                "realistic",
                                "investigative",
                                "artistic",
                                "social",
                                "enterprising",
                                "conventional"
                              ]
                            },
                            "description": "RIASEC work types associated with the vacancy.",
                            "example": [
                              "social",
                              "conventional"
                            ]
                          },
                          "archived": {
                            "type": "boolean",
                            "description": "Indicates whether the vacancy is archived. Set to false to unarchive the vacancy.",
                            "example": false
                          },
                          "custom_fields": {
                            "type": "object",
                            "description": "Custom field values for the vacancy. Keys are field codes and values are the corresponding field\nvalues. Value types and restrictions depend on the custom field definition. Custom field definitions\ncan be retrieved using the custom fields endpoint.\n\nThe object will be merged with existing custom fields on updates. If a field is not present in the\nupdate request, it will not be modified.\n",
                            "example": {
                              "pay_grade": 10
                            }
                          }
                        }
                      },
                      "relationships": {
                        "type": "object",
                        "properties": {
                          "employer": {
                            "type": "object",
                            "properties": {
                              "data": {
                                "type": "object",
                                "nullable": true,
                                "description": "The employer associated with the vacancy.",
                                "properties": {
                                  "id": {
                                    "type": "string",
                                    "format": "uuid",
                                    "description": "The ID of the employer.",
                                    "example": "c888a1fd-de7c-430a-8f83-19c6bfa8105b"
                                  },
                                  "type": {
                                    "type": "string",
                                    "enum": [
                                      "employers"
                                    ]
                                  }
                                }
                              }
                            }
                          },
                          "contact": {
                            "type": "object",
                            "properties": {
                              "data": {
                                "type": "object",
                                "nullable": true,
                                "description": "The contact associated with the vacancy.",
                                "properties": {
                                  "id": {
                                    "type": "string",
                                    "format": "uuid",
                                    "description": "The ID of the contact.",
                                    "example": "6360dbc8-987b-4b20-8928-ae6f950d8008"
                                  },
                                  "type": {
                                    "type": "string",
                                    "enum": [
                                      "contacts"
                                    ]
                                  }
                                }
                              }
                            }
                          },
                          "contact_management": {
                            "type": "object",
                            "properties": {
                              "data": {
                                "type": "object",
                                "nullable": true,
                                "description": "The manager contact associated with the vacancy.",
                                "properties": {
                                  "id": {
                                    "type": "string",
                                    "format": "uuid",
                                    "description": "The ID of the contact.",
                                    "example": "6360dbc8-987b-4b20-8928-ae6f950d8008"
                                  },
                                  "type": {
                                    "type": "string",
                                    "enum": [
                                      "contacts"
                                    ]
                                  }
                                }
                              }
                            }
                          },
                          "contact_recruitment": {
                            "type": "object",
                            "properties": {
                              "data": {
                                "type": "object",
                                "nullable": true,
                                "description": "The recruiter contact associated with the vacancy.",
                                "properties": {
                                  "id": {
                                    "type": "string",
                                    "format": "uuid",
                                    "description": "The ID of the contact.",
                                    "example": "6360dbc8-987b-4b20-8928-ae6f950d8008"
                                  },
                                  "type": {
                                    "type": "string",
                                    "enum": [
                                      "contacts"
                                    ]
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "type": "object",
                "additionalProperties": true,
                "description": "Form-encoded request body"
              }
            }
          }
        },
        "responses": {
          "200": {
            "$ref": "#/components/responses/ok-6"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "404": {
            "description": "Employer vacancy not found"
          },
          "422": {
            "$ref": "#/components/responses/unprocessable_content"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      },
      "delete": {
        "operationId": "delete_organization_employer_vacancy",
        "summary": "Delete Employer Vacancy",
        "description": "Delete a single employer vacancy for the specified organization by employer vacancy ID.\n",
        "tags": [
          "Employer Vacancies"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          },
          {
            "$ref": "#/components/parameters/employer_vacancy_id"
          }
        ],
        "responses": {
          "204": {
            "$ref": "#/components/responses/no_content"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "404": {
            "description": "Employer vacancy not found"
          },
          "422": {
            "$ref": "#/components/responses/unprocessable_content"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/organizations/{organization_id}/contacts": {
      "get": {
        "operationId": "list_organization_contacts",
        "summary": "List Contacts",
        "description": "Returns a list of contacts for the specified organization.\n",
        "tags": [
          "Contacts"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          },
          {
            "$ref": "#/components/parameters/filter-2"
          },
          {
            "$ref": "#/components/parameters/page"
          },
          {
            "$ref": "#/components/parameters/page_size"
          },
          {
            "$ref": "#/components/parameters/_count"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/ok-7"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "404": {
            "description": "Organization not found"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      },
      "post": {
        "operationId": "create_organization_contact",
        "summary": "Create Contact",
        "description": "Create a contact for the specified organization.\n",
        "tags": [
          "Contacts"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/vnd.api+json": {
              "schema": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "$ref": "#/components/schemas/type-2"
                      },
                      "attributes": {
                        "$ref": "#/components/schemas/attributes-2"
                      },
                      "relationships": {
                        "$ref": "#/components/schemas/relationships-2"
                      }
                    }
                  }
                }
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "type": "object",
                "additionalProperties": true,
                "description": "Form-encoded request body"
              }
            }
          }
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/ok-8"
          },
          "400": {
            "description": "Invalid request body."
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "404": {
            "description": "Organization not found"
          },
          "422": {
            "$ref": "#/components/responses/unprocessable_content"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/organizations/{organization_id}/contacts/{contact_id}": {
      "get": {
        "operationId": "get_organization_contact",
        "summary": "Get Contact",
        "description": "Returns a single contact for the specified organization by contact ID.\n",
        "tags": [
          "Contacts"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          },
          {
            "$ref": "#/components/parameters/contact_id"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/ok-8"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "404": {
            "description": "Contact not found"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      },
      "patch": {
        "operationId": "update_organization_contact",
        "summary": "Update Contact",
        "description": "Update a single contact for the specified organization by contact ID.\n",
        "tags": [
          "Contacts"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          },
          {
            "$ref": "#/components/parameters/contact_id"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/vnd.api+json": {
              "schema": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "$ref": "#/components/schemas/type-2"
                      },
                      "attributes": {
                        "type": "object",
                        "description": "Contact attributes.",
                        "properties": {
                          "email": {
                            "type": "string",
                            "format": "email",
                            "nullable": true,
                            "description": "The contact's correspondence email address.",
                            "example": "jane.doe@example.com"
                          },
                          "name": {
                            "type": "string",
                            "description": "The full name of the contact.",
                            "example": "Jane Doe"
                          },
                          "notes": {
                            "type": "string",
                            "nullable": true,
                            "description": "Additional notes about the contact.",
                            "example": "Prefers to be contacted by email."
                          },
                          "phone_number": {
                            "type": "string",
                            "nullable": true,
                            "description": "The contact's phone number. Must be 7 to 15 digits. May include spaces, dashes, and dots as separators, parentheses for grouping (must be closed and not nested), and a leading plus sign.",
                            "example": "+31 (0) 6 1234 5678"
                          },
                          "archived": {
                            "type": "boolean",
                            "description": "Whether the contact is archived. Set to false to unarchive the contact.",
                            "example": false
                          }
                        }
                      },
                      "relationships": {
                        "type": "object",
                        "description": "Contact relationships.",
                        "properties": {
                          "employer": {
                            "type": "object",
                            "properties": {
                              "data": {
                                "type": "object",
                                "nullable": true,
                                "description": "The employer associated with the contact.",
                                "properties": {
                                  "id": {
                                    "type": "string",
                                    "format": "uuid",
                                    "description": "The ID of the employer.",
                                    "example": "c888a1fd-de7c-430a-8f83-19c6bfa8105b"
                                  },
                                  "type": {
                                    "type": "string",
                                    "enum": [
                                      "employers"
                                    ]
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "type": "object",
                "additionalProperties": true,
                "description": "Form-encoded request body"
              }
            }
          }
        },
        "responses": {
          "200": {
            "$ref": "#/components/responses/ok-8"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "404": {
            "description": "Contact not found"
          },
          "422": {
            "$ref": "#/components/responses/unprocessable_content"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      },
      "delete": {
        "operationId": "delete_organization_contact",
        "summary": "Delete Contact",
        "description": "Delete a single contact for the specified organization by contact ID.\n",
        "tags": [
          "Contacts"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          },
          {
            "$ref": "#/components/parameters/contact_id"
          }
        ],
        "responses": {
          "204": {
            "$ref": "#/components/responses/no_content"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "404": {
            "description": "Contact not found"
          },
          "422": {
            "$ref": "#/components/responses/unprocessable_content"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/organizations/{organization_id}/employers": {
      "get": {
        "operationId": "list_organization_employers",
        "summary": "List Employers",
        "description": "Returns a list of employers for the specified organization.\n",
        "tags": [
          "Employers"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          },
          {
            "$ref": "#/components/parameters/filter-3"
          },
          {
            "$ref": "#/components/parameters/page"
          },
          {
            "$ref": "#/components/parameters/page_size"
          },
          {
            "$ref": "#/components/parameters/_count"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/ok-9"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "404": {
            "description": "Organization not found"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/organizations/{organization_id}/dossiers/{dossier_id}/saved_vacancies": {
      "get": {
        "operationId": "list_organization_dossier_saved_vacancies",
        "summary": "List Saved Vacancies",
        "description": "Returns a list of saved vacancies for the specified organization and dossier.\n",
        "tags": [
          "Saved Vacancies"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          },
          {
            "$ref": "#/components/parameters/dossier_id"
          },
          {
            "$ref": "#/components/parameters/filter-4"
          },
          {
            "$ref": "#/components/parameters/include"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/ok-10"
          },
          "400": {
            "$ref": "#/components/responses/bad_request-2"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "404": {
            "$ref": "#/components/responses/not_found-2"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/saved_vacancies/{saved_vacancy_id}": {
      "get": {
        "operationId": "get_saved_vacancy",
        "summary": "Get Saved Vacancy",
        "description": "Returns a single saved vacancy.\n",
        "tags": [
          "Saved Vacancies"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/saved_vacancy_id"
          },
          {
            "$ref": "#/components/parameters/include"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/ok-11"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "404": {
            "$ref": "#/components/responses/not_found-2"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/organizations/{organization_id}/dossiers/{dossier_id}/saved_vacancies/activities": {
      "get": {
        "operationId": "list_organization_dossier_saved_vacancies_activities",
        "summary": "List Activities",
        "description": "Returns a list of saved vacancy activities for the specified organization and dossier.\n",
        "tags": [
          "Saved Vacancies"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          },
          {
            "$ref": "#/components/parameters/dossier_id"
          },
          {
            "$ref": "#/components/parameters/filter-5"
          },
          {
            "$ref": "#/components/parameters/sort"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/ok-12"
          },
          "400": {
            "$ref": "#/components/responses/bad_request-2"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "404": {
            "$ref": "#/components/responses/not_found-2"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/organizations/{organization_id}/dossiers/{dossier_id}/saved_vacancies/{saved_vacancy_id}/activities": {
      "get": {
        "operationId": "list_organization_dossier_saved_vacancy_activities",
        "summary": "List Saved Vacancy Activities",
        "description": "Returns a list of activities for the specified saved vacancy.\n",
        "tags": [
          "Saved Vacancies"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          },
          {
            "$ref": "#/components/parameters/dossier_id"
          },
          {
            "$ref": "#/components/parameters/saved_vacancy_id-2"
          },
          {
            "$ref": "#/components/parameters/filter-5"
          },
          {
            "$ref": "#/components/parameters/sort"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/ok-12"
          },
          "400": {
            "$ref": "#/components/responses/bad_request-2"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "404": {
            "$ref": "#/components/responses/not_found-2"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/vacancy_states": {
      "get": {
        "operationId": "list_vacancy_state",
        "summary": "List Vacancy States",
        "description": "Retrieve vacancy states.\n",
        "tags": [
          "Saved Vacancies"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/page"
          },
          {
            "$ref": "#/components/parameters/page_size"
          },
          {
            "$ref": "#/components/parameters/_count"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/ok-13"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/vacancy_states/{vacancy_state_id}": {
      "get": {
        "operationId": "get_vacancy_state",
        "summary": "Get Vacancy State",
        "description": "Returns a single Vacancy State\n",
        "tags": [
          "Saved Vacancies"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/vacancy_state_id"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/ok-14"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "404": {
            "description": "Vacancy state not found"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/organizations/{organization_id}/tracks": {
      "get": {
        "operationId": "list_organization_tracks",
        "summary": "List Tracks",
        "description": "Returns a list of tracks for the specified organization.\n",
        "tags": [
          "Tracks"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          },
          {
            "$ref": "#/components/parameters/page"
          },
          {
            "$ref": "#/components/parameters/page_size"
          },
          {
            "$ref": "#/components/parameters/_count"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/ok-15"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/organizations/{organization_id}/tracks/{track_id}": {
      "get": {
        "operationId": "get_organization_track",
        "summary": "Get Track",
        "description": "Returns a single track for the specified organization by track ID.\n",
        "tags": [
          "Tracks"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          },
          {
            "$ref": "#/components/parameters/track_id"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/ok-16"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "404": {
            "description": "Dossier not found"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/user_contexts/{user_context_id}/conversations": {
      "get": {
        "operationId": "list_user_context_conversations",
        "summary": "List Conversations",
        "description": "Returns a list of conversations for the specified user context.\n",
        "tags": [
          "Conversations"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/user_context_id-2"
          },
          {
            "$ref": "#/components/parameters/filter-6"
          },
          {
            "$ref": "#/components/parameters/sort-2"
          },
          {
            "$ref": "#/components/parameters/page"
          },
          {
            "$ref": "#/components/parameters/page_size"
          },
          {
            "$ref": "#/components/parameters/_count"
          },
          {
            "$ref": "#/components/parameters/x_request_id"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/ok-17"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/user_contexts/{user_context_id}/conversations/{conversation_id}": {
      "get": {
        "operationId": "get_user_context_conversation",
        "summary": "Get Conversation",
        "description": "Returns a single conversation for the specified user context.\n",
        "tags": [
          "Conversations"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/user_context_id-2"
          },
          {
            "$ref": "#/components/parameters/conversation_id"
          },
          {
            "$ref": "#/components/parameters/x_request_id"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/ok-18"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "404": {
            "$ref": "#/components/responses/not_found-2"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/user_contexts/{user_context_id}/notifications": {
      "get": {
        "operationId": "list_user_context_notifications",
        "summary": "List Notifications",
        "description": "Returns a list of notifications for the specified user context.\n",
        "tags": [
          "Notifications"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/user_context_id-2"
          },
          {
            "$ref": "#/components/parameters/filter-7"
          },
          {
            "$ref": "#/components/parameters/sort-3"
          },
          {
            "$ref": "#/components/parameters/page"
          },
          {
            "$ref": "#/components/parameters/page_size"
          },
          {
            "$ref": "#/components/parameters/_count"
          },
          {
            "$ref": "#/components/parameters/x_request_id"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/ok-19"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/user_contexts/{user_context_id}/notifications/{notification_id}": {
      "get": {
        "operationId": "get_user_context_notification",
        "summary": "Get Notification",
        "description": "Returns a single notification for the specified user context.\n",
        "tags": [
          "Notifications"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/user_context_id-2"
          },
          {
            "$ref": "#/components/parameters/notification_id"
          },
          {
            "$ref": "#/components/parameters/x_request_id"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/ok-20"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "404": {
            "$ref": "#/components/responses/not_found-2"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/organizations/{organization_id}/custom_fields": {
      "get": {
        "operationId": "list_organization_custom_fields",
        "summary": "List Custom Fields",
        "description": "Returns a list of custom fields for the specified organization.\n",
        "tags": [
          "Custom Fields"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          },
          {
            "$ref": "#/components/parameters/filter-8"
          },
          {
            "$ref": "#/components/parameters/page"
          },
          {
            "$ref": "#/components/parameters/page_size"
          },
          {
            "$ref": "#/components/parameters/_count"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/ok-21"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/organizations/{organization_id}/exports/dossiers": {
      "get": {
        "operationId": "export_dossiers",
        "summary": "Dossiers",
        "description": "Export dossiers of an organization.\n",
        "tags": [
          "Export resources"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/export_dossiers"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/organizations/{organization_id}/exports/profiles": {
      "get": {
        "operationId": "export_profiles",
        "summary": "Profiles",
        "description": "Export profiles of an organization.\n",
        "tags": [
          "Export resources"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/export_profiles"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/organizations/{organization_id}/exports/profiles/educations": {
      "get": {
        "operationId": "export_educations",
        "summary": "Educations",
        "description": "Export educations used in profiles of an organization.\n",
        "tags": [
          "Export resources"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/export_educations"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/organizations/{organization_id}/exports/members": {
      "get": {
        "operationId": "export_members",
        "summary": "Members",
        "description": "Export members of an organization.\n",
        "tags": [
          "Export resources"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/export_members"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/organizations/{organization_id}/exports/taxonomy/sectors": {
      "get": {
        "operationId": "export_taxonomy_sectors",
        "summary": "Sectors",
        "description": "Export sectors.\n",
        "tags": [
          "Export taxonomy"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/export_taxonomy_sectors"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/organizations/{organization_id}/exports/taxonomy/occupations": {
      "get": {
        "operationId": "export_taxonomy_occupations",
        "summary": "Occupations",
        "description": "Export occupations.\n",
        "tags": [
          "Export taxonomy"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/export_taxonomy_occupations"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/organizations/{organization_id}/exports/contacts": {
      "get": {
        "operationId": "export_contacts",
        "summary": "Contacts",
        "description": "Export contacts of an organization.",
        "tags": [
          "Export resources"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/export_contacts"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        }
      }
    },
    "/public/v1/organizations/{organization_id}/exports/notes": {
      "get": {
        "operationId": "export_notes",
        "summary": "Notes",
        "description": "Export notes of an organization.",
        "tags": [
          "Export resources"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/export_notes"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        }
      }
    },
    "/public/v1/organizations/{organization_id}/exports/placements": {
      "get": {
        "operationId": "export_placements",
        "summary": "Placements",
        "description": "Export placements for an organization.",
        "tags": [
          "Export resources"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/export_placements"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        }
      }
    },
    "/public/v1/organizations/{organization_id}/exports/employer_vacancies": {
      "get": {
        "operationId": "export_employer_vacancies",
        "summary": "Employer Vacancies",
        "description": "Export employer vacancies of an organization.\n",
        "tags": [
          "Export resources"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/export_employer_vacancies"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        }
      }
    },
    "/public/v1/organizations/{organization_id}/exports/employer_vacancy_dossiers": {
      "get": {
        "operationId": "export_employer_vacancy_dossiers",
        "summary": "Employer Vacancy Dossiers",
        "description": "Export employer vacancy dossiers for an organization.\n",
        "tags": [
          "Export resources"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/export_employer_vacancy_dossiers"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/organizations/{organization_id}/exports/showrooms": {
      "get": {
        "operationId": "export_showrooms",
        "summary": "Showrooms",
        "description": "Export showrooms for an organization.",
        "tags": [
          "Export resources"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/export_showrooms"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        }
      }
    },
    "/public/v1/organizations/{organization_id}/exports/employers": {
      "get": {
        "operationId": "export_employers",
        "summary": "Employers",
        "description": "Export employers of an organization.\n",
        "tags": [
          "Export resources"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/export_employers"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    },
    "/public/v1/organizations/{organization_id}/exports/tasks": {
      "get": {
        "operationId": "export_tasks",
        "summary": "Tasks",
        "description": "Export tasks of an organization.",
        "tags": [
          "Export resources"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/export_tasks"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        }
      }
    },
    "/public/v1/organizations/{organization_id}/exports/tracks": {
      "get": {
        "operationId": "export_tracks",
        "summary": "Tracks",
        "description": "Export tracks for an organization.\n",
        "tags": [
          "Export resources"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/organization_id"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/export_tracks"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "500": {
            "$ref": "#/components/responses/server_error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    }
  },
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT",
        "description": "The Jobport JWT token"
      }
    },
    "parameters": {
      "organization_id": {
        "in": "path",
        "name": "organization_id",
        "description": "The ID of the organization.",
        "required": true,
        "schema": {
          "type": "string",
          "format": "uuid"
        },
        "example": "0df21c85-54f5-4ce9-be17-4a2fb63e958c"
      },
      "user_context_id": {
        "in": "path",
        "name": "user_context_id",
        "description": "The ID of the user context.",
        "required": true,
        "schema": {
          "type": "string",
          "format": "uuid"
        },
        "example": "687ae300-3f3f-46e3-a204-3add97f82165"
      },
      "user_context_id-2": {
        "in": "path",
        "name": "user_context_id",
        "description": "The ID of the user context.",
        "required": true,
        "schema": {
          "type": "string",
          "format": "uuid"
        },
        "example": "0df21c85-54f5-4ce9-be17-4a2fb63e958c"
      },
      "filter": {
        "in": "query",
        "name": "filter[]",
        "description": "Filters to query specific dossiers.\n\nFilter | Type | Description | Example value\n------ | ---- | ----------- | -------------\nemail | `string` | Filters by one or more exact email addresses (case insensitive) | email:john.doe@example.org\nq | `string` | Filters by search query | q:doe\n",
        "explode": true,
        "schema": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "example": [
          "email:john.doe@example.org",
          "email:jane.doe@example.org"
        ]
      },
      "page": {
        "in": "query",
        "name": "page",
        "description": "The requested page for paginated responses.\n",
        "schema": {
          "type": "integer",
          "default": 1
        }
      },
      "page_size": {
        "in": "query",
        "name": "page_size",
        "description": "The requested amount of items for paginated responses.\n",
        "schema": {
          "type": "integer",
          "default": 20
        }
      },
      "_count": {
        "in": "query",
        "name": "_count",
        "description": "Flag to receive total count in the response, value is irrelevant.\n",
        "schema": {
          "type": "string",
          "example": "true"
        }
      },
      "dossier_id": {
        "name": "dossier_id",
        "in": "path",
        "required": true,
        "schema": {
          "type": "string",
          "format": "uuid"
        },
        "description": "The ID of the dossier",
        "example": "190d972c-e522-473a-8fb9-0d23f9283045"
      },
      "employer_vacancy_id": {
        "name": "employer_vacancy_id",
        "in": "path",
        "required": true,
        "schema": {
          "type": "string",
          "format": "uuid"
        },
        "description": "The ID of the employer vacancy",
        "example": "82b4b296-ccf6-45c5-917c-ae95ee8c9a9b"
      },
      "filter-2": {
        "in": "query",
        "name": "filter[]",
        "description": "Filters to query specific contacts.\n\n| Filter | Type | Description | Example value |\n| ------ | ---- | ----------- | ------------- |\n| archived | `boolean` | Only return contacts that are either archived or not archived. | archived:false |\n| email | `string` | Only return contacts with the given email address(es). | email:jane.doe@example.org |\n| employer | `string` | Only return contacts belonging to one or more employers by ID. | employer:1c595214-fc27-4528-915e-ad73f7d3b5c5 |\n| q | `string` | Filters by search query, searches name and email. | q:doe |\n",
        "explode": true,
        "schema": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "example": [
          "q:doe",
          "archived:false"
        ]
      },
      "contact_id": {
        "name": "contact_id",
        "in": "path",
        "required": true,
        "schema": {
          "type": "string",
          "format": "uuid"
        },
        "description": "The ID of the contact",
        "example": "7dd42af8-9bf2-4a53-820c-837d1cc49ea6"
      },
      "filter-3": {
        "in": "query",
        "name": "filter[]",
        "description": "Filters to query specific employers.\n\n| Filter | Type | Description | Example value |\n| ------ | ---- | ----------- | ------------- |\n| name | `string` | Only return employers with the given name(s). | name:Jobport |\n| national_id | `string` | Only return employers with the given national identifier(s) (KVK number). | national_id:12345678 |\n| national_branch_id | `string` | Only return employers with the given national branch identifier(s) (KVK branch number). | national_branch_id:123456789012 |\n| archived | `boolean` | Only return employers that are either archived or not archived. | archived:false |\n",
        "explode": true,
        "schema": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
[...]
